/*
   $VER: SViewIVImport.rexx V1.0 (1.1.2000)

   based on SViewNGImport.rexx  1998 by William F. Maddock

   Modified (with Andreas' help) from:
   LoadRequest.rx V6.21 (17.3.97)
    1993-97 by Andreas R. Kleinert

   Changed to SViewIVImport.rexx by Andreas R. Kleinert in 2000.

   Which was written to demonstrate remote control of SViewNG through its ARexx Port.

   This script should only be run from PageStream3.x Amiga and requires OS3.x.

   The path to SViewNG in line 33 should be modified to match your system.

   The "DRAWER" argument to the RequestFile command in line 45 should be changed to
   suit your needs.

   This script will load a graphic file from disk via the file requester, save it to
   the clipboard, command PageStream3 to paste it to the current document, then exit.
   Remember, this means a 24-bit IFF-ILBM occupying space in your CLIPS: directory
   (usually located in RAM:). If this bothers you, then remove the comment brackets
   from line 64 (the delete command).

*/

OPTIONS RESULTS
SIGNAL ON ERROR

SVIIPORT = 'SViewII.rx'
SVNGPORT = 'SViewNG.rx'
SVPORT   = 'SuperView.rx'

IF ~SHOW('P',SVPORT) THEN SVPORT = SVNGPORT
IF ~SHOW('P',SVPORT) THEN SVPORT = SVIIPORT
IF ~SHOW('P',SVPORT) THEN DO
   address command
   "MISC:Gfx/SuperView/SViewIV" "-INSTALL_APPMENU=FALSE -INSTALL_APPICON=FALSE"
   wait 20
   IF ~SHOW('P',SVPORT) THEN SVPORT = SVNGPORT
   IF ~SHOW('P',SVPORT) THEN SVPORT = SVIIPORT
   IF ~SHOW('P',SVPORT) THEN DO
     say "Could not locate ARexx port of SViewIV !"
     CALL ErrorOut 0
   END
END

ADDRESS VALUE SVPORT


Address Command "C:RequestFile DRAWER "" NOICONS PUBSCREEN PageStream3 >T:RF"

OPEN('import','T:RF','read')
importpath = READLN('import')
CLOSE('import')
importpath = STRIP(importpath,'B','"')

'OPTION_SAVE=CLIP'

'LOAD='importpath

'SAVE=CLIPS:0'

ADDRESS 'PAGESTREAM'

'pasteobject progress'

wait 5

address command "delete CLIPS:0"

CALL ErrorOut 0


/* Errorout procedure ----------------------- */

ErrorOut:
        PARSE ARG ExitCode

        EXIT ExitCode

  END
